import { EntityMetadata } from '../decorators';
import { QueryOrder, QueryType } from './enums';
import { Platform } from '../platforms';
import { JoinOptions } from './QueryBuilder';
export declare class QueryBuilderHelper {
    private readonly entityName;
    private readonly alias;
    private readonly metadata;
    private readonly platform;
    static readonly GROUP_OPERATORS: {
        $and: string;
        $or: string;
    };
    static readonly OPERATORS: {
        $eq: string;
        $in: string;
        $nin: string;
        $gt: string;
        $gte: string;
        $lt: string;
        $lte: string;
        $ne: string;
    };
    private readonly quoteChar;
    constructor(entityName: string, alias: string, metadata: Record<string, EntityMetadata>, platform: Platform);
    getWhereParams(conditions: Record<string, any>): any[];
    wrap(field: string): string;
    mapper(type: QueryType, field: string, value?: any, alias?: string): string;
    processData(data: any): any;
    processJoins(leftJoins: Record<string, JoinOptions>): string;
    mapJoinColumns(type: QueryType, join: JoinOptions): string[];
    isOneToOneInverse(field: string): boolean;
    getTableName(entityName: string, wrap?: boolean): string;
    getRegExpParam(re: RegExp): string;
    getQueryCondition(type: QueryType, cond: any): string[];
    getQueryOrder(type: QueryType, orderBy: Record<string, QueryOrder>, populate: Record<string, string>): string[];
    getQueryPagination(limit?: number, offset?: number): string;
    finalize(type: QueryType, sql: string, meta?: EntityMetadata): string;
    private processComplexParam;
    private prefixAndWrap;
    private getGroupWhereParams;
    private processValue;
    private processObjectValue;
    private getGroupQueryCondition;
    private isQuoted;
}
